const Handler = require('../../handler/handler');
const { Meta } = require('../constants');
/**
 * Version handler for datapoints
 * @class VersionHandler
 * @extends {Handler}
 */
class VersionHandler extends Handler {
  /**
   * Handles the datapoint
   * @param {any} datapoint 
   * @memberof VersionHandler
   */
  handle(datapoint) {
    datapoint.meta[Meta.PROVIDER] = 'bitsensor-nodejs';
    datapoint.meta[Meta.VERSION] = require('../../index').VERSION;
  }
}

module.exports = VersionHandler;
