const { expect } = require('chai');
require('../../core/init');
const Hashids = require('hashids');

describe('Hook', () => {
  describe('Hashids', () => {
    it('must contain compliance error if default salt is used', () => {
      bitSensor.runSession(() => {
        expect(bitSensor.getDatapoint().errors).to.be.empty;
        expect(bitSensor.getDatapoint().vulnerabilities).to.be.empty;
        new Hashids('this is my salt');
        expect(bitSensor.getDatapoint().errors[0].type).to.equal('compliance');
        expect(bitSensor.getDatapoint().vulnerabilities[0].error).to.equal(bitSensor.getDatapoint().errors[0]);
        expect(bitSensor.getDatapoint().vulnerabilities[0].type).to.equal('compliance');
      });
    });
  });
});
